ea-nginx (1.21.6-1+1.1.cpanel) stable; urgency=low

  * EA-10489: Update ea-nginx from v1.21.5 to v1.21.6

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 09 Feb 2022 00:00:00 -0000

ea-nginx (1.21.5-5) stable; urgency=low

  * ZC-9700: Do not use predictable cPanel-localhost header
  * ZC-9700: ensure random value is regenerated if missing or older than 30 minutes; ensure users can not see the value
  * EA-10464: Avoid redirect to https for service subdomain DCV validation

 -- Dan Muey <dan@cpanel.net>  Mon, 31 Jan 2022 00:00:00 -0000

ea-nginx (1.21.5-4) stable; urgency=low

  * EA-10294: Add caching mechanism for wordpress info

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 26 Jan 2022 00:00:00 -0000

ea-nginx (1.21.5-3) stable; urgency=low

  * ZC-9661: configure SSL w/ system cert when domain does not have its own cert

 -- Dan Muey <dan@cpanel.net>  Tue, 25 Jan 2022 00:00:00 -0000

ea-nginx (1.21.5-2) stable; urgency=low

  * EA-10283: Only perform regex check for WordPress login for domains that have at least one WordPress site installed

 -- Travis Holloway <t.holloway@cpanel.net>  Fri, 21 Jan 2022 00:00:00 -0000

ea-nginx (1.21.5-1) stable; urgency=low

  * EA-10428: Update ea-nginx from v1.21.4 to v1.21.5

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 13 Jan 2022 00:00:00 -0000

ea-nginx (1.21.4-10) stable; urgency=low

  * SEC-612: Deny access to /whm-server-status

 -- Stephen Bee <stephen@cpanel.net>  Thu, 13 Jan 2022 00:00:00 -0000

ea-nginx (1.21.4-8) stable; urgency=low

  * SEC-611: Set the server_tokens directive to off in nginx.conf

 -- Tim Mullin <tim@cpanel.net>  Tue, 11 Jan 2022 00:00:00 -0000

ea-nginx (1.21.4-7) stable; urgency=low

  * ZC-9428: Configure http2 support
  * ZC-9615: IPv6 support for proxy subdomain redirect to https

 -- Dan Muey <dan@cpanel.net>  Tue, 28 Dec 2021 00:00:00 -0000

ea-nginx (1.21.4-6) stable; urgency=low

  * ZC-9343: Change worker_processes to auto
  * ZC-9343: Allow setting `worker_processes` via /etc/nginx/ea-nginx/settings.json
  * ZC-9343: When writing settings.json make it human readable
  * ZC-7303: Support IP based requests (ZC-9586: only use an IP once)
  * ZC-9384: Use mycpanel.pem if its there

 -- Dan Muey <dan@cpanel.net>  Thu, 16 Dec 2021 00:00:00 -0000

ea-nginx (1.21.4-5) stable; urgency=low

  * ZC-9527: set USER_ID for server block if uid given && not zero

 -- Dan Muey <dan@cpanel.net>  Wed, 24 Nov 2021 00:00:00 -0000

ea-nginx (1.21.4-4) stable; urgency=low

  * EA-10029: Get wordpress info from wp-toolkit if it is installed

 -- Travis Holloway <t.holloway@cpanel.net>  Mon, 22 Nov 2021 00:00:00 -0000

ea-nginx (1.21.4-3) stable; urgency=low

  * EA-10221: Always configure domains to support CloudFlare

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 11 Nov 2021 00:00:00 -0000

ea-nginx (1.21.4-2) stable; urgency=low

  * EA-10144: Set new default open files limit for worker processes

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 04 Nov 2021 00:00:00 -0000

ea-nginx (1.21.4-1) stable; urgency=low

  * EA-10255: Update ea-nginx from v1.21.3 to v1.21.4

 -- Cory McIntire <cory@cpanel.net>  Wed, 03 Nov 2021 00:00:00 -0000

ea-nginx (1.21.3-5) stable; urgency=low

  * ZC-9439: Set user/group for -ssl_log if it exists (i.e. piped logging is enabeld)

 -- Dan Muey <dan@cpanel.net>  Thu, 28 Oct 2021 00:00:00 -0000

ea-nginx (1.21.3-4) stable; urgency=low

  * ZC-9382: Clear all user caches when default php is changed.

 -- Julian Brown <julian.brown@cpanel.net>  Thu, 21 Oct 2021 00:00:00 -0000

ea-nginx (1.21.3-3) stable; urgency=low

  * ZC-9317: Stop using deprecated (and unused) module

 -- Dan Muey <dan@cpanel.net>  Fri, 24 Sep 2021 00:00:00 -0000

ea-nginx (1.21.3-2) stable; urgency=low

  * ZC-9260: Move standalone includes to seperate folder && bring in server includes on reverse proxy and standalone
  * ZC-9261: Allow include to prefix `proxy_cache_key` based on any criteria

 -- Dan Muey <dan@cpanel.net>  Mon, 20 Sep 2021 00:00:00 -0000

ea-nginx (1.21.3-1) stable; urgency=low

  * EA-10108: Update ea-nginx from v1.21.2 to v1.21.3

 -- Cory McIntire <cory@cpanel.net>  Thu, 16 Sep 2021 00:00:00 -0000

ea-nginx (1.21.2-1) stable; urgency=low

  * EA-10095: Update ea-nginx from v1.21.1 to v1.21.2

 -- Cory McIntire <cory@cpanel.net>  Tue, 07 Sep 2021 00:00:00 -0000

ea-nginx (1.21.1-6) stable; urgency=low

  * EA-9957: Configure ssl_dhparam directive

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 02 Sep 2021 00:00:00 -0000

ea-nginx (1.21.1-5) stable; urgency=low

  * EA-9954: Add logic for server_names_hash_max_size and server_names_hash_bucket_size to syntax checker

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 24 Aug 2021 00:00:00 -0000

ea-nginx (1.21.1-4) stable; urgency=low

  * EA-9902: Do not cache the wordpress homepage when users are logged into wp-admin

 -- Travis Holloway <t.holloway@cpanel.net>  Fri, 06 Aug 2021 00:00:00 -0000

ea-nginx (1.21.1-3) stable; urgency=low

  * ZC-5555: Listen on IPv6 like we do IPv4

 -- Dan Muey <dan@cpanel.net>  Thu, 29 Jul 2021 00:00:00 -0000

ea-nginx (1.21.1-2) stable; urgency=low

  * EA-9875: Avoid race condition when binding to ports 80/443

 -- Travis Holloway <t.holloway@cpanel.net>  Mon, 26 Jul 2021 00:00:00 -0000

ea-nginx (1.21.1-1) stable; urgency=low

  * EA-9968: Update ea-nginx from v1.21.0 to v1.21.1

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 15 Jul 2021 00:00:00 -0000

ea-nginx (1.21.0-16) stable; urgency=low

  * EA-9946: Add syntax validation check to configuration script
  * EA-9967: Ensure 'modsec_vendor_configs' is left in place on new installs

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 13 Jul 2021 00:00:00 -0000

ea-nginx (1.21.0-15) stable; urgency=low

  * EA-9944: Remove noreplace from nginx.conf and ea-nginx.conf
  * EA-9945: Ensure clean '/etc/nginx' directory on new installs

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 08 Jul 2021 00:00:00 -0000

ea-nginx (1.21.0-14) stable; urgency=low

  * ZC-9047: Add `toggle_nginx_caching` to WHM Feature Manager

 -- Daniel Muey <dan@cpanel.net>  Wed, 07 Jul 2021 00:00:00 -0000

ea-nginx (1.21.0-13) stable; urgency=low

  * EA-9909: Add hard coded fallback values for keys in settings.json

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 29 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-12) stable; urgency=low

  * ZC-9005: Do not hide Upgrade header when proxying websockets under main service subdomains
  * ZC-9018: rebuild all users; reporting any issues at the end
  * ZC-9020: Add cache related methods to adminbin

 -- Daniel Muey <dan@cpanel.net>  Thu, 24 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-11) stable; urgency=low

  * EA-9874: Cache 301 redirects
  * EA-9814: Set client_max_body_size to 128m

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 23 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-10) stable; urgency=low

  * ZC-9009: Do not die when a domain’s PHP config is missing

 -- Daniel Muey <dan@cpanel.net>  Wed, 23 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-9) stable; urgency=low

  * ZC-8589: Improve proxy/SSL configuration

 -- Daniel Muey <dan@cpanel.net>  Mon, 21 Jun 2021 00:00:00 -0000

ea-nginx (= 1.21.0-8) stable; urgency=low

  * EA-9879: Make timeout on request to determine if a domain is using CloudFlare threadsafe
  * EA-9880: Move Accounts::Modify and Accounts::Remove from rebuild_user action to rebuild_all action

 -- Travis Holloway <t.holloway@cpanel.net>  Fri, 18 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-7) stable; urgency=low

  * ZC-8831: clarify a variable name

 -- Daniel Muey <dan@cpanel.net>  Thu, 17 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-6) stable; urgency=low

  * EA-9836: Add support for Let's Encrypt AutoSSL provider

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 17 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-5) stable; urgency=low

  * EA-9790: Only put SSL server block in place when it is desired

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 15 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-4) stable; urgency=low

  * ZC-8934: Update some hooks to only operate on the user in question

 -- Daniel Muey <dan@cpanel.net>  Wed, 09 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-3) stable; urgency=low

  * EA-9789: Silence logrotate script

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 08 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-2) stable; urgency=low

  * EA-9812: NGINX fails to start when a folder contains a space

 -- Cory McIntire <cory@cpanel.net>  Tue, 01 Jun 2021 00:00:00 -0000

ea-nginx (1.21.0-1) stable; urgency=low

  * EA-9798: Update ea-nginx from v1.20.0 to v1.21.0
  * EA-9791: Add alarm to request to determine if a domain is using CloudFlare

 -- Cory McIntire <cory@cpanel.net>  Wed, 26 May 2021 00:00:00 -0000

ea-nginx (1.20.0-5) stable; urgency=low

  * EA-9774: Ensure logs are rotated daily

 -- Travis Holloway <t.holloway@cpanel.net>  Mon, 17 May 2021 00:00:00 -0000

ea-nginx (1.20.0-4) stable; urgency=low

  * ZC-8830: Fix cache clearing bug w/ `cache`

 -- Daniel Muey <dan@cpanel.net>  Wed, 12 May 2021 00:00:00 -0000

ea-nginx (1.20.0-3) stable; urgency=low

  * ZC-8817: clear cache on certain ops

 -- Daniel Muey <dan@cpanel.net>  Mon, 10 May 2021 00:00:00 -0000

ea-nginx (1.20.0-2) stable; urgency=low

  * EA-9757: Remove unnecessary proxy config setting for wordpress sites

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 06 May 2021 00:00:00 -0000

ea-nginx (1.20.0-1) stable; urgency=low

  * EA-9706: Update ea-nginx from v1.19.10 to v1.20.0

 -- Cory McIntire <cory@cpanel.net>  Fri, 23 Apr 2021 00:00:00 -0000

ea-nginx (1.19.10-2) stable; urgency=low

  * EA-9692: Ensure server blocks contain root path when in reverse proxy mode

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 15 Apr 2021 00:00:00 -0000

ea-nginx (1.19.10-1) stable; urgency=low

  * EA-9694: Update ea-nginx from v1.19.9 to v1.19.10

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 14 Apr 2021 00:00:00 -0000

ea-nginx (1.19.9-1) stable; urgency=low

  * EA-9683: Update ea-nginx from v1.19.8 to v1.19.9
  * EA-9682: Create hook to rebuild config for tweak settings changes in WHM

 -- Travis Holloway <t.holloway@cpanel.net>  Wed, 07 Apr 2021 00:00:00 -0000

ea-nginx (1.19.8-5) stable; urgency=low

  * EA-9672: Decrease delay to rebuild config when creating new domains
  * EA-9673: Honor proxysubdomains tweak setting when rebuilding config

 -- Travis Holloway <t.holloway@cpanel.net>  Tue, 06 Apr 2021 00:00:00 -0000

ea-nginx (1.19.8-4) stable; urgency=low

  * ZC-8719: Add `mail` subdomain like it does `www`

 -- Daniel Muey <dan@cpanel.net>  Tue, 06 Apr 2021 00:00:00 -0000

ea-nginx (1.19.8-3) stable; urgency=low

  * EA-9652: Invoke whmapi1 with full cPanel path

 -- Tim Mullin <tim@cpanel.net>  Thu, 18 Mar 2021 00:00:00 -0000

ea-nginx (1.19.8-2) stable; urgency=low

  * ZC-8591: Add `/Microsoft-Server-ActiveSync` proxy

 -- Daniel Muey <dan@cpanel.net>  Thu, 11 Mar 2021 00:00:00 -0000

ea-nginx (1.19.8-1) stable; urgency=low

  * EA-9638: Update ea-nginx from v1.19.7 to v1.19.8

 -- Cory McIntire <cory@cpanel.net>  Wed, 10 Mar 2021 00:00:00 -0000

ea-nginx (1.19.7-5) stable; urgency=low

  * ZC-8541: Add sub command to scripts/ea-nginx to configure cacheing

 -- Daniel Muey <dan@cpanel.net>  Mon, 08 Mar 2021 00:00:00 -0000

ea-nginx (1.19.7-4) stable; urgency=low

  * ZC-8480: Move ea-nginx from experimental to EA4

 -- Julian Brown <julian.brown@cpanel.net>  Thu, 04 Mar 2021 00:00:00 -0000

ea-nginx (1.19.7-3) stable; urgency=low

  * ZC-8436: Hooks for suspend/unsuspend acct, changing ip, and refactor clear-cache for API
  * ZC-8433: handle localhost/127.0.0.1/machines's hostname consistently
  * ZC-8194: Add cloudflare config
  * ZC-8510: do bandwidth notices and exceeding

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 24 Feb 2021 00:00:00 -0000

ea-nginx (1.19.7-2) stable; urgency=low

  * ZC-8461: Support `cpanelwebcall` URI

 -- Daniel Muey <dan@cpanel.net>  Mon, 22 Feb 2021 00:00:00 -0000

ea-nginx (1.19.7-1) stable; urgency=low

  * EA-9589: Update ea-nginx from v1.19.6 to v1.19.7

 -- Cory McIntire <cory@cpanel.net>  Mon, 22 Feb 2021 00:00:00 -0000

ea-nginx (1.19.6-5) stable; urgency=low

  * EA-9562: Fix escaping in nginx.service file to work with CentOS 8

 -- Tim Mullin <tim@cpanel.net>  Wed, 10 Feb 2021 00:00:00 -0000

ea-nginx (1.19.6-4) stable; urgency=low

  * ZC-8389: Proxy service subdomains directly to cpsrvd under reverse proxy

 -- Daniel Muey <dan@cpanel.net>  Mon, 08 Feb 2021 00:00:00 -0000

ea-nginx (1.19.6-3) stable; urgency=low

  * ZC-8385: Set `proxy_cache_key` so that the user’s caches are keyed to the request’s FQDN

 -- Daniel Muey <dan@cpanel.net>  Fri, 05 Feb 2021 00:00:00 -0000

ea-nginx (1.19.6-2) stable; urgency=low

  * ZC-8356: Expose caching hard coded defaults to the class

 -- Daniel Muey <dan@cpanel.net>  Tue, 02 Feb 2021 00:00:00 -0000

ea-nginx (1.19.6-1) stable; urgency=low

  * EA-9498: Update ea-nginx from v1.19.3 to v1.19.6

 -- Daniel Muey <dan@cpanel.net>  Thu, 14 Jan 2021 00:00:00 -0000

ea-nginx (1.19.3-7) stable; urgency=low

  * ZC-8052: change to all-proxy; detect chaching and standalone and do needful

 -- Daniel Muey <dan@cpanel.net>  Fri, 18 Dec 2020 00:00:00 -0000

ea-nginx (1.19.3-6) stable; urgency=low

  * ZC-8061: Build C7 against ea-ruby27

 -- Travis Holloway <t.holloway@cpanel.net>  Thu, 10 Dec 2020 00:00:00 -0000

ea-nginx (1.19.3-5) stable; urgency=low

  * ZC-8061: Build on C8

 -- Travis Holloway <t.holloway@cpanel.net>  Fri, 04 Dec 2020 00:00:00 -0000

ea-nginx (1.19.3-4) stable; urgency=low

  * EA-9390: Fix build with latest ea-brotli (v1.0.9)

 -- Tim Mullin <tim@cpanel.net>  Tue, 27 Oct 2020 00:00:00 -0000

ea-nginx (1.19.3-3) stable; urgency=low

  * ZC-7761: Handle wildcard domains

 -- Daniel Muey <dan@cpanel.net>  Thu, 15 Oct 2020 00:00:00 -0000

ea-nginx (1.19.3-2) stable; urgency=low

  * ZC-7669: Add universal hook to hard restart nginx for any transaction involving any nginc related package

 -- Daniel Muey <dan@cpanel.net>  Mon, 05 Oct 2020 00:00:00 -0000

ea-nginx (1.19.3-1) stable; urgency=low

  * EA-9334: Update ea-nginx from v1.19.2 to v1.19.3

 -- Daniel Muey <dan@cpanel.net>  Thu, 01 Oct 2020 00:00:00 -0000

ea-nginx (1.19.2-1) stable; urgency=low

  * EA-9309: Update ea-nginx from v1.19.1 to v1.19.2

 -- Cory McIntire <cory@cpanel.net>  Fri, 18 Sep 2020 00:00:00 -0000

ea-nginx (1.19.1-10) stable; urgency=low

  * ZC-7493: Factor userdata `secruleengineoff` into user configuration

 -- Daniel Muey <dan@cpanel.net>  Thu, 03 Sep 2020 00:00:00 -0000

ea-nginx (1.19.1-9) stable; urgency=low

  * ZC-7379: Add global script support for config generation

 -- Daniel Muey <dan@cpanel.net>  Thu, 20 Aug 2020 00:00:00 -0000

ea-nginx (1.19.1-8) stable; urgency=low

  * ZC-7366: Add modsec 3.0 support

 -- Daniel Muey <dan@cpanel.net>  Tue, 18 Aug 2020 00:00:00 -0000

ea-nginx (1.19.1-7) stable; urgency=low

  * ZC-7220: Set `proxy_http_version` to 1.1 so that `Upgrade` works

 -- Daniel Muey <dan@cpanel.net>  Thu, 23 Jul 2020 00:00:00 -0000

ea-nginx (1.19.1-6) stable; urgency=low

  * ZC-7217: Fix changelog entry

 -- Daniel Muey <dan@cpanel.net>  Thu, 23 Jul 2020 00:00:00 -0000

ea-nginx (1.19.1-5) stable; urgency=low

  * ZC-7191: re-enable graceful restarts

 -- Dan Muey <dan@cpanel.net>  Mon, 20 Jul 2020 00:00:00 -0000

ea-nginx (1.19.1-4) stable; urgency=low

  * ZC-7129: Removing hooks twice on downgrade

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 13 Jul 2020 00:00:00 -0000

ea-nginx (1.19.1-3) stable; urgency=low

  * ZC-6985: fix `undefined status from Cpanel::ServiceManager::Services::Nginx for Server Status`
  *    probably other issues as well

 -- Dan Muey <dan@cpanel.net>  Mon, 13 Jul 2020 00:00:00 -0000

ea-nginx (1.19.1-2) stable; urgency=low

  * ZC-6105: Add license for ngx_http_pipelog_module sources

 -- Dan Muey <dan@cpanel.net>  Thu, 09 Jul 2020 00:00:00 -0000

ea-nginx (1.19.1-1) stable; urgency=low

  * EA-9149: Update ea-nginx from v1.19.0 to v1.19.1

 -- Cory McIntire <cory@cpanel.net>  Thu, 09 Jul 2020 00:00:00 -0000

ea-nginx (1.19.0-4) stable; urgency=low

  * EA-9123: Add cPanel-localhost as a proxy header

 -- Tim Mullin <tim@cpanel.net>  Wed, 01 Jul 2020 00:00:00 -0000

ea-nginx (1.19.0-3) stable; urgency=low

  * ZC-7058: compile in passenger module && configure Application Manager apps

 -- Dan Muey <dan@cpanel.net>  Thu, 25 Jun 2020 00:00:00 -0000

ea-nginx (1.19.0-2) stable; urgency=low

  * ZC-5534: process logs via logrotate akin to what cpanellogd does w/ Apache

 -- Daniel Muey <dan@cpanel.net>  Wed, 27 May 2020 00:00:00 -0000

ea-nginx (1.19.0-1) stable; urgency=low

  * EA-9080: Update ea-nginx from v1.18.0 to v1.19.0

 -- Cory McIntire <cory@cpanel.net>  Tue, 26 May 2020 00:00:00 -0000

ea-nginx (1.18.0-2) stable; urgency=low

  * ZC-4887: Add cPanel Redirects to nginx config

 -- Daniel Muey <dan@cpanel.net>  Thu, 07 May 2020 00:00:00 -0000

ea-nginx (1.18.0-1) stable; urgency=low

  * EA-9016: Update ea-nginx from v1.17.10 to v1.18.0
  * Change Nginx.pm to use Moo

 -- Cory McIntire <cory@cpanel.net>  Tue, 21 Apr 2020 00:00:00 -0000

ea-nginx (1.17.10-1) stable; urgency=low

  * EA-9006: Update ea-nginx from v1.17.9 to v1.17.10

 -- Cory McIntire <cory@cpanel.net>  Thu, 16 Apr 2020 00:00:00 -0000

ea-nginx (1.17.9-3) stable; urgency=low

  * EA-8943: Fixed wildcard subdomains

 -- Tim Mullin <tim@cpanel.net>  Tue, 07 Apr 2020 00:00:00 -0000

ea-nginx (1.17.9-2) stable; urgency=low

  * EA-8934: Fixed server redirects for the hostname

 -- Tim Mullin <tim@cpanel.net>  Fri, 03 Apr 2020 00:00:00 -0000

ea-nginx (1.17.9-1) stable; urgency=low

  * EA-8894: Update ea-nginx from v1.17.8 to v1.17.9

 -- Cory McIntire <cory@cpanel.net>  Tue, 03 Mar 2020 00:00:00 -0000

ea-nginx (1.17.8-1) stable; urgency=low

  * EA-8840: Update ea-nginx from v1.17.6 to v1.17.8

 -- Cory McIntire <cory@cpanel.net>  Wed, 22 Jan 2020 00:00:00 -0000

ea-nginx (1.17.6-1) stable; urgency=low

  * EA-8755: Update ea-nginx from v1.17.5 to v1.17.6

 -- Cory McIntire <cory@cpanel.net>  Thu, 21 Nov 2019 00:00:00 -0000

ea-nginx (1.17.5-2) stable; urgency=low

  * ZC-5789: Fix scripts/ea-nginx to work on LTS version

 -- Travis Holloway <t.holloway@cpanel.net>  Mon, 18 Nov 2019 00:00:00 -0000

ea-nginx (1.17.5-1) stable; urgency=low

  * EA-8713: Update ea-nginx from v1.17.4 to v1.17.5

 -- Cory McIntire <cory@cpanel.net>  Wed, 23 Oct 2019 00:00:00 -0000

ea-nginx (1.17.4-3) stable; urgency=low

  * ZC-5738: Update template key `sslprotocol_list` to `sslprotocol_list_str`

 -- Daniel Muey <dan@cpanel.net>  Tue, 22 Oct 2019 00:00:00 -0000

ea-nginx (1.17.4-2) stable; urgency=low

  * ZC-4361: Update ea-openssl requirement to v1.1.1 (ZC-5583)

 -- Daniel Muey <dan@cpanel.net>  Tue, 01 Oct 2019 00:00:00 -0000

ea-nginx (1.17.4-1) stable; urgency=low

  * EA-8669: Update ea-nginx from v1.17.3 to v1.17.4

 -- Cory McIntire <cory@cpanel.net>  Fri, 27 Sep 2019 00:00:00 -0000

ea-nginx (1.17.3-6) stable; urgency=low

  * ZC-5574: Ensure ngx_http_pipelog_module processes are cleaned up
  *   Work around https://github.com/pandax381/ngx_http_pipelog_module/issues/7

 -- Daniel Muey <dan@cpanel.net>  Mon, 23 Sep 2019 00:00:00 -0000

ea-nginx (1.17.3-5) stable; urgency=low

  * Hook into cPanel when anything changes update Nginx config.

 -- Julian Brown <julian.brown@cpanel.net>  Thu, 19 Sep 2019 00:00:00 -0000

ea-nginx (1.17.3-4) stable; urgency=low

  * ZC-4961: Configure logging to match how we do it with Apache

 -- Dan Muey <dan@cpanel.net>  Wed, 18 Sep 2019 00:00:00 -0000

ea-nginx (1.17.3-3) stable; urgency=low

  * ZC-5554 - Do config/restart in %posttrans

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 16 Sep 2019 00:00:00 -0000

ea-nginx (1.17.3-2) stable; urgency=low

  * ZC-5423 - Apache not releasing 80/443 when installing ea-nginx

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 09 Sep 2019 00:00:00 -0000

ea-nginx (1.17.3-1) stable; urgency=low

  * EA-8613: Update ea-nginx from v1.17.2 to v1.17.3

 -- Cory McIntire <cory@cpanel.net>  Thu, 15 Aug 2019 00:00:00 -0000

ea-nginx (1.17.2-1) stable; urgency=low

  * EA-8589: Update ea-nginx from v1.17.1 to v1.17.2

 -- Cory McIntire <cory@cpanel.net>  Mon, 29 Jul 2019 00:00:00 -0000

ea-nginx (1.17.1-1) stable; urgency=low

  * EA-8544: Update ea-nginx from v1.16.0 to v1.17.1

 -- Cory McIntire <cory@cpanel.net>  Thu, 27 Jun 2019 00:00:00 -0000

ea-nginx (1.16.0-2) stable; urgency=low

  * ZC-5014: Add cPanel Password Protected Directory support
  * ZC-5151: Add CGI and Server-Parsed support via proxy

 -- Daniel Muey <dan@cpanel.net>  Thu, 23 May 2019 00:00:00 -0000

ea-nginx (1.16.0-1) stable; urgency=low

  * EA-8415: Update ea-nginx from v1.15.9 to v1.16.0

 -- Daniel Muey <dan@cpanel.net>  Tue, 23 Apr 2019 00:00:00 -0000

ea-nginx (1.15.9-4) stable; urgency=low

  * ZC-4975: Update custom 503 html file.

 -- Julian Brown <julian.brown@cpanel.net>  Wed, 10 Apr 2019 00:00:00 -0000

ea-nginx (1.15.9-3) stable; urgency=low

  * ZC-4877: add initial user config script

 -- Dan Muey <dan@cpanel.net>  Thu, 21 Mar 2019 00:00:00 -0000

ea-nginx (1.15.9-2) stable; urgency=low

  * ZC-4868: Add cPanel specific configurations
  * ZC-4867: start nginx (specfile already stops it if needed)
  *          fix hard coded `nginx` user in log ownership
  *          Add `Provides` and `Conflicts` for upstream
  * ZC-4867: Move Apache to alternate port and back again
  * ZC-4869: Add support for proxying to apache,
  *          add mailman and DCV (.well-known) proxies
  * ZC-4870/ZC-4871: tie into chkservd and restartsrv system
  * ZC-4897: Account for current apache port settings that are above the root-only range
  * ZC-4898: Do not move apache if it is already configured for nonstandard ports
  * ZC-4869: do `proxy_set_header` for `Host` and `X-Real-IP` anywhere we `proxy_pass`
  * ZC-4869: alias img-sys for mailman images

 -- Dan Muey <dan@cpanel.net>  Thu, 14 Mar 2019 00:00:00 -0000

ea-nginx (1.15.9-1) stable; urgency=low

  * cPanelize nginx SPEC file

 -- Dan Muey <dan@cpanel.net>  Wed, 13 Mar 2019 00:00:00 -0000

